﻿using System.Reflection;
using Harmony;
using JetBrains.Annotations;
using UnityEngine;

public class EndlessSprinting : Mod
{
    private HarmonyInstance m_harmony;
    private const string HarmonyId = "com.janniksam.greenhell.endlesssprinting";

    public void Start()
    {
        m_harmony = HarmonyInstance.Create(HarmonyId);
        m_harmony.PatchAll(Assembly.GetExecutingAssembly());
        Debug.Log("Mod EndlessSprinting has been loaded!");
    }

    public void OnModUnload()
    {
        m_harmony.UnpatchAll(HarmonyId);
        Debug.Log("Mod EndlessSprinting has been unloaded!");
    }

    [HarmonyPatch(typeof(PlayerConditionModule)), HarmonyPatch("UpdateStamina")]
    [UsedImplicitly]
    public class ScaleEditPatch
    {

        [UsedImplicitly]
        public static bool Prefix(
            // ReSharper disable InconsistentNaming
            PlayerConditionModule __instance
            // ReSharper restore InconsistentNaming
            )
        {
            __instance.m_Stamina = __instance.GetMaxStamina();
            return false;
        }
    }
}